<?php
$LIMPIAR=0;
$SYS_FOC="TxtNom";
//++++++++
$StrNom=V($_POST['TxtNom']);
//++++++++
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$StrNom=gs("dis_nombre","distritos","id_distrito=$Id");		
	$LStrFoc="document.getElementById('TxtNom').focus();";	
	$StrGT="S";	
}	
//--------------------------------------------------------------------------
if($StrCmd=="G"){
	if(GetC("distritos","dis_nombre='$StrNom'")>0){		
		$SYS_MSG="Nombre del distrito ya esta registrado";
		$SYS_FOC="TxtNom";
		$OK=0;
	}
	//
	if($OK==1){
		$Id=GenId("id_distrito","distritos");
		$s="INSERT INTO distritos VALUES ($Id,'$StrNom')";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_departamentos.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","DEPARTAMENTOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		if($LStrMM=="S")	$LStrMsg="Datos registrados";
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$StrGT="S";
		$StrId="";
		$StrNom="";
		$StrObs="";
		$StrGT="S";	
		
		$SYS_MSG="Datos Guardados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="M"){
	if(GetC("distritos","dis_nombre='$StrNom' AND id_distrito<>$StrId")>0){		
		$SYS_MSG="Nombre del distrito ya esta registrado";
		$SYS_FOC="TxtNom";
		$OK=0;
	}
	//
	if($OK==1){
		$s="UPDATE distritos SET dis_nombre='$StrNom'
			WHERE id_distrito=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_departamentos.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","DEPARTAMENTOS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos Actualizados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="E"){
	if(GetC("proveedores","pro_id_distrito=$StrId")>0){		
		$SYS_MSG="El presente registro esta relacionado a uno mas proveedores";
		$SYS_FOC="TxtNom";
		$OK=0;	
	}
	if(GetC("clientes","cli_id_distrito=$StrId")>0){		
		$SYS_MSG="El presente registro esta relacionado a uno mas clientes";
		$SYS_FOC="TxtNom";
		$OK=0;		
	}
	//
	if($OK==1){
		$s="DELETE FROM distritos WHERE id_distrito=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_departamentos.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","DEPARTAMENTOS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT			
		$SYS_MSG="Datos Eliminados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}		
}
//-------------------------------------------------------------------------
if($StrCmd=="L"){
	$LIMPIAR=1;
}
//-------------------------------------------------------------------------
if($LIMPIAR==1){
	$StrId="";
	$StrNom="";
	$OK=0;
}
//-------------------------------------------------------------------------
?>

